Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class DefaultContainerClass

    java.lang.Object
      com.compoze.collab.EnumElement
          com.compoze.collab.groupware.DefaultContainerClass

All Implemented Interfaces
  IDigestSupport, Serializable, Comparable

    public class DefaultContainerClass

extends EnumElement
implements Serializable

The element class for the `DefaultContainerClassEnum` enumeration.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.compoze.collab.EnumElement
`m_iValue, m_sStr, m_value`

Constructor Summary
`protected` | `DefaultContainerClass(Class enumClass, com.compoze.collab.resource.ResourceBundleWrapper rb, com.compoze.collab.resource.ResourceKey rk, int iValue, float fSortValue, String sStr)` Constructor.

Method Summary

Methods inherited from class com.compoze.collab.EnumElement
`compareTo, equals, getDisplayName, getEnumeration, getIntegerValue, getIntValue, getString, isDefault, readResolve, toString, updateDigest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultContainerClass

    protected DefaultContainerClass(Class enumClass,
                                    com.compoze.collab.resource.ResourceBundleWrapper rb,
                                    com.compoze.collab.resource.ResourceKey rk,
                                    int iValue,
                                    float fSortValue,
                                    String sStr)

  Constructor. Used for extendability of this element class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved